POST https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/cancel/{marketmaker_id}

Cancels one market maker order: its buy and sell orders that are still open are cancelled on the exchange and the market maker is marked cancelled.

OAuth scope: read manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/cancel/MARKETMAKER_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID of a market maker bot.
marketmaker_id string Required Market maker ID.

Response

Example response (illustrative values)

{
    "data": "Selected market maker(s) are cancelled."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.